Void/Cancel Payment
The Void/Cancel Payments API voids the payment request.
For more information, see: Voiding Payments
Headers
Token token
The Location API key from the Punchh platform located under Store Locations > All Store Locations > [Choose your location] > POS tab > Location key
btoken
The API key for the business, located in the Punchh platform. Note: This can be obtained only from Punchh administrators (e.g., Customer Success Manager).
For assistance with any API keys, reach out to your Punchh Customer Success Manager (CSM) or Implementation Manager (if applicable).
- Type: stringAuthorization
Token token Location API key from the Punchh platform. btoken Business API key from the Punchh platform.
- Type: stringContent/type
Set to application/json
- Type: stringpayment
_reference _id Payment reference identifier from the payment processor. This is obtained from the response of the Create Payment API.
- Type: stringpayment
_type Enter one of the following values for the Punchh single scan flow payment:
- Credit Card = CreditCard
- Recurring = recurring See Single Scan Flow
- Type: stringtransaction
_no Unique identifier for the transaction request. Regardless of success or failure, only one transaction number per request. This is NOT to be confused with the POS check number.
- application/json
curl https://SERVER_NAME_GOES_HERE.punchh.com/api/pos/payments \
--request DELETE \
--header 'Authorization: Token token="LOCATION_KEY_GOES_HERE" btoken="BUSINESS_KEY_GOES_HERE"' \
--header 'Content/type: application/json' \
--header 'Content-Type: application/json' \
--data '{}'
[
{
"first_name": "FIRST_NAME_GOES_HERE",
"last_name": "LAST_NAME_GOES_HERE",
"transaction_no": "352083094-10040",
"payment_reference_id": "14000",
"status": "unable_to_process",
"response_message": "CANCELLED",
"payment_type": "CreditCard",
"created_at": "2020-12-18T07:05:11Z",
"card_type": "VIC"
}
]